# DCM/DFA Reporting And Trafficking API . creativeFieldValues

## Instance Methods

Deletes an existing creative field value.

Gets one creative field value by ID.

Inserts a new creative field value.

Retrieves a list of creative field values, possibly filtered. This method supports paging.

Retrieves the next page of results.

Updates an existing creative field value. This method supports patch semantics.

Updates an existing creative field value.

### Method Details

`delete(profileId, creativeFieldId, id)`

    Deletes an existing creative field value.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      creativeFieldId: string, Creative field ID for this creative field value. (required)
      id: string, Creative Field Value ID (required)

`get(profileId, creativeFieldId, id)`

    Gets one creative field value by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      creativeFieldId: string, Creative field ID for this creative field value. (required)
      id: string, Creative Field Value ID (required)

    Returns:
      An object of the form:

        { # Contains properties of a creative field value.
          "kind": "dfareporting#creativeFieldValue", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#creativeFieldValue".
          "id": "A String", # ID of this creative field value. This is a read-only, auto-generated field.
          "value": "A String", # Value of this creative field value. It needs to be less than 256 characters in length and unique per creative field.
        }

`insert(profileId, creativeFieldId, body)`

    Inserts a new creative field value.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      creativeFieldId: string, Creative field ID for this creative field value. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Contains properties of a creative field value.
        "kind": "dfareporting#creativeFieldValue", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#creativeFieldValue".
        "id": "A String", # ID of this creative field value. This is a read-only, auto-generated field.
        "value": "A String", # Value of this creative field value. It needs to be less than 256 characters in length and unique per creative field.
      }

    Returns:
      An object of the form:

        { # Contains properties of a creative field value.
          "kind": "dfareporting#creativeFieldValue", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#creativeFieldValue".
          "id": "A String", # ID of this creative field value. This is a read-only, auto-generated field.
          "value": "A String", # Value of this creative field value. It needs to be less than 256 characters in length and unique per creative field.
        }

`list(profileId, creativeFieldId, searchString=None, sortField=None, ids=None, maxResults=None, pageToken=None, sortOrder=None)`

    Retrieves a list of creative field values, possibly filtered. This method supports paging.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      creativeFieldId: string, Creative field ID for this creative field value. (required)
      searchString: string, Allows searching for creative field values by their values. Wildcards (e.g. *) are not allowed.
      sortField: string, Field by which to sort the list.
        Allowed values
          ID -
          VALUE -
      ids: string, Select only creative field values with these IDs. (repeated)
      maxResults: integer, Maximum number of results to return.
      pageToken: string, Value of the nextPageToken from the previous result page.
      sortOrder: string, Order of sorted results, default is ASCENDING.
        Allowed values
          ASCENDING -
          DESCENDING -

    Returns:
      An object of the form:

        { # Creative Field Value List Response
        "nextPageToken": "A String", # Pagination token to be used for the next list operation.
        "kind": "dfareporting#creativeFieldValuesListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#creativeFieldValuesListResponse".
        "creativeFieldValues": [ # Creative field value collection.
          { # Contains properties of a creative field value.
              "kind": "dfareporting#creativeFieldValue", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#creativeFieldValue".
              "id": "A String", # ID of this creative field value. This is a read-only, auto-generated field.
              "value": "A String", # Value of this creative field value. It needs to be less than 256 characters in length and unique per creative field.
            },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.

`patch(profileId, creativeFieldId, id, body)`

    Updates an existing creative field value. This method supports patch semantics.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      creativeFieldId: string, Creative field ID for this creative field value. (required)
      id: string, Creative Field Value ID (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Contains properties of a creative field value.
        "kind": "dfareporting#creativeFieldValue", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#creativeFieldValue".
        "id": "A String", # ID of this creative field value. This is a read-only, auto-generated field.
        "value": "A String", # Value of this creative field value. It needs to be less than 256 characters in length and unique per creative field.
      }

    Returns:
      An object of the form:

        { # Contains properties of a creative field value.
          "kind": "dfareporting#creativeFieldValue", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#creativeFieldValue".
          "id": "A String", # ID of this creative field value. This is a read-only, auto-generated field.
          "value": "A String", # Value of this creative field value. It needs to be less than 256 characters in length and unique per creative field.
        }

`update(profileId, creativeFieldId, body)`

    Updates an existing creative field value.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      creativeFieldId: string, Creative field ID for this creative field value. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Contains properties of a creative field value.
        "kind": "dfareporting#creativeFieldValue", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#creativeFieldValue".
        "id": "A String", # ID of this creative field value. This is a read-only, auto-generated field.
        "value": "A String", # Value of this creative field value. It needs to be less than 256 characters in length and unique per creative field.
      }

    Returns:
      An object of the form:

        { # Contains properties of a creative field value.
          "kind": "dfareporting#creativeFieldValue", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#creativeFieldValue".
          "id": "A String", # ID of this creative field value. This is a read-only, auto-generated field.
          "value": "A String", # Value of this creative field value. It needs to be less than 256 characters in length and unique per creative field.
        }